Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Can I build development RPM from openmpi-1.2.8-1.src.rpm?
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2008-11-11 09:53:23


On Nov 10, 2008, at 8:21 PM, Oleg V. Zhylin wrote:

>> Are you saying that you have libmpi_f90.so available and
>> when you try to run, you get missing symbol errors? Or are
>> you failing to compile/link at all?
>
> Linking stage fails. When I use mpif90 to produce actual executable
> ld reports error that it can't find -lmpi_f90. The libmpi_f90.so is
> in /usr/libs but,

/usr/libs is not a standard linker directory. If libmpi_f90.so is
there, it's probably fairly predictable that the linker is not finding
it. Did you really mean /usr/lib?

> again, as I've discovered ld doesn't even try to look for it. Maybe
> this is ld problem, or ld in conjunction with gfortran...

Can you supply all the information listed here:

     http://www.open-mpi.org/community/help/

Additionally, what's the output when you run "mpif90 --showme"?

-- 
Jeff Squyres
Cisco Systems